# Review: https://bugzilla.redhat.com/show_bug.cgi?id=238349

%global minorversion 1.6

%if 0%{?fedora} >= 18
    %global xfceversion 4.10
%else
    %global xfceversion 4.8
%endif

Name:           xfce4-places-plugin
Version:        1.6.0
Release:        1%{?dist}
Summary:        Places menu for the Xfce panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
#VCS: git:git://git.xfce.org/panel-plugins/xfce4-places-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  xfce4-panel-devel >= 4.8.0
BuildRequires:  exo-devel >= 0.5.0
BuildRequires:  libnotify-devel >= 0.4.0
BuildRequires:  gettext
BuildRequires:  intltool
Requires:       xfce4-panel >= %{xfceversion}

%description
A menu with quick access to folders, documents, and removable media. The 
Places plugin brings much of the functionality of GNOME’s Places menu to 
Xfce. It puts a simple button on the panel. Clicking on this button opens up 
a menu with 4 sections:
1) System-defined directories (home folder, trash, desktop, file system)
2) Removable media
3) User-defined bookmarks (reads ~/.gtk-bookmarks)
4) Recent documents submenu (requires GTK v2.10 or greater) 


%prep
%setup -q


%build
%configure
make %{?_smp_mflags} V=1


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# make sure debuginfo is generated properly
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/xfce4-popup-places
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop

%changelog
* Fri Dec 20 2013 Kevin Fenzi <kevin@scrye.com> 1.6.0-1
- Update to 1.6.0 (fixes #1045259)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 01 2012 Kevin Fenzi <kevin@scrye.com> 1.5.0-1
- Update to 1.5.0

* Fri Aug 31 2012 Christoph Wickert <cwickert@fedoraproject.org> - 1.4.0-2
- Bump release for koji miracle

* Fri Aug 31 2012 Christoph Wickert <cwickert@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0 (fixes #757180)
- Bring back the icon naming patch
- No longer require Thunar (not using thunar-vfs any more)

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 21 2012 Kevin Fenzi <kevin@scrye.com> - 1.3.0-1
- Update to 1.3.0

* Sun Apr 15 2012 Kevin Fenzi <kevin@scrye.com> - 1.2.0-10
- Rebuild for Xfce 4.10(pre2)

* Thu Apr 05 2012 Kevin Fenzi <kevin@scrye.com> - 1.2.0-9
- Rebuild for Xfce 4.10

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.2.0-7
- Rebuild for new libpng

* Sat Apr 30 2011 Kevin Fenzi <kevin@scrye.com> - 1.2.0-6
- Add patch to port to GIO and libxfce4ui and exo1
- Fixes bug #678655 and bug #700123

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 13 2011 Kevin Fenzi <kevin@tummy.com> - 1.2.0-4
- Add patch from Debian for new exo version. 

* Sat Nov 06 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-3
- Fix missing icons (#650504)

* Tue Feb 16 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-2
- Add patch to fix DSO linking (#564693)

* Fri Jul 31 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-1
- Update to 1.2.0
- Drop Andea Santilli's xdg-userdir-compat.patch because it got upstreamed

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-4
- Rebuild for Xfce 4.6 (Beta 3)

* Sun Aug 31 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-3
- Update xdg-userdir-compat.patch to use upstream's variable names

* Wed Aug 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-2
- Respect xdg user directory paths (#457740)

* Thu Jun 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0
- Fix changelog

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.0-3
- Autorebuild for GCC 4.3

* Fri Dec 07 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-2
- Rebuild for Xfce 4.4.2 and Thunar 0.9.0

* Wed Nov 07 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.992-1
- Update to 0.9.992

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.991-1
- Update to 0.9.991
- Update license tag

* Thu May 17 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Sun Apr 29 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Sun Apr 08 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-1
- Initial package.
